Jump to
Ctrl
+
/

Get Address Balance

GET
/vaults/{vaultId}/addresses/{address}/balance

Retrieves the asset balances for a specific address within a vault. Results can be filtered by blockchain or asset unit and are paginated.

Path Parameters

address string Required

The blockchain address to fetch asset balances for.

vaultId string Required

Unique identifier of the vault.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

assetUnit string Optional

Filter results to a single asset symbol.

blockchain string Optional

Filter results to a single blockchain. If omitted, returns assets across all chains associated with the address.

limit integer Optional

Defines how many items should be returned in the response per page basis.

Default : 50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
limit integer Required

Defines how many items should be returned in the response per page basis.

50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

5ca21f92cf5431000105d1a7
hasMore boolean Required

Defines whether or not there are more elements available after this set.

true
items array Items (object) Required
assetData object Required
allocatedAmount string Required

The amount of the asset that is temporarily reserved — for example, because it's involved in a pending transaction.

0
availableAmount string Required

The amount of the asset that is free and can be used immediately.

1.145
contractAddress string Optional

The address of the smart contract that defines the token on the blockchain. Applicable only when type: TOKEN.

0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
standard string Required

The technical standard the asset is built on. For tokens, this is a specific standard (e.g. ERC-20 on Ethereum, TRC-20 on Tron, SPL on Solana).

ERC-20
totalAmount string Required

The total amount of the asset held at this address.

1.245
assetId string Required

The unique identifier of this specific asset within Vaultody's system.

6995822ce883e61317b3d6f1
assetUnit string Required

The symbol of the asset.

USDC
blockchain string Required

The blockchain this specific balance belongs to.

ethereum
exchangeRateUnit string Required

Current exchange rate for the asset.

1
type string Required

Indicates whether the asset is a blockchain's native coin or a token.

TOKEN
Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "limit": 50,
        "startingAfter": "5ca21f92cf5431000105d1a7",
        "hasMore": true,
        "items": [
            {
                "assetData": {
                    "allocatedAmount": "0",
                    "availableAmount": "1.145",
                    "contractAddress": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
                    "standard": "ERC-20",
                    "totalAmount": "1.245"
                },
                "assetId": "6995822ce883e61317b3d6f1",
                "assetUnit": "USDC",
                "blockchain": "ethereum",
                "exchangeRateUnit": "1",
                "type": "TOKEN"
            }
        ]
    }
}